sc::SCElementScale(3)

NAME
sc::SCElementScale -

SYNOPSIS

Inherits sc::SCElementOp.

  Public Member Functions
SCElementScale (double a)
SCElementScale (StateIn &)
int has_side_effects ()
By default this returns nonzero.
void save_data_state (StateOut &)
Save the base classes (with save_data_state) and the members in the same order that the StateIn CTOR initializes them.
void process (SCMatrixBlockIter &)
This is the fallback routine to process blocks and is called by process_spec members that are not overridden.

  Additional Inherited Members

Member Function Documentation

  int sc::SCElementScale::has_side_effects () [virtual]

By default this returns nonzero. If the ElementOp specialization will change any elements of the matrix, then this must be overridden to return nonzero.

Reimplemented from sc::SCElementOp.

  void sc::SCElementScale::process (SCMatrixBlockIter &) [virtual]

This is the fallback routine to process blocks and is called by process_spec members that are not overridden.

Implements sc::SCElementOp.

  void sc::SCElementScale::save_data_state (StateOut &) [virtual]

Save the base classes (with save_data_state) and the members in the same order that the StateIn CTOR initializes them. This must be implemented by the derived class if the class has data.

Reimplemented from sc::SavableState.

Author

Generated automatically by Doxygen for MPQC from the source code.